Skip to content

Select theme

Create

POST
/{organization}/projects/{projectId}/groups
curl --request POST \
--url https://app.civillo.com/api/v1/example/projects/1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "My group", "color": "#6200EE", "hidden": false, "isWorkOrderAssignable": true, "managedByRole": false, "roles": [ 1, 4, 16 ], "created": "2026-04-15T12:00:00Z" }'

Create a new group.

For the roles property, group roles are represented by the following integers:

  • 1: Permits
  • 2: Layer creation and editing
  • 4: Layer directory structure
  • 8: User management
  • 16: Point of interest editing
  • 32: Group management
  • 64: Permits overview and management
  • 128: Point of interest bulk upload and export
  • 256: Chainage alignment management
  • 512: Work order management
  • 1024: Tag management
  • 2048: Layer source downloads
  • 4096: Document downloads
organization
required
string

The organization nickname

projectId
required
integer

The project id

Properties that define the new group

Media typeapplication/json
object
preventLayerSourceDownloads

Deprecated as of 6 October 2026. Any requests with this as true will return 400 Bad Request.

boolean
Example
false
preventDocumentDownloads

Deprecated as of 6 October 2026. Any requests with this as true will return 400 Bad Request.

boolean
Example
false
name
required

The name of this group.

string
>= 2 characters <= 64 characters
Example
My group
color
required

The color this group is displayed with.

string
>= 7 characters <= 9 characters
Example
#6200EE
hidden

If true, the group will not be displayed next to users’ names.

boolean
Example
false
isWorkOrderAssignable

If true, allow work orders to be assigned to this group.

boolean
Example
true
managedByRole

If set to true, non-admins with the GroupManagement group role will be able to see and manage this group via the admin group management page.

Note that selecting this option and adding a role to this group will result in such non-admins being able to add any other project users to this group, hereby granting them this role.

Ensure you are aware of these permissions implications before configuring this group as such.

boolean
Example
false
roles

Array of integer-enumerated group roles to be assigned to the group (see Create endpoint description).

Array<integer>
Example
[
1,
4,
16
]
created

The time at which the group was created.

string format: date-time

Successful response

Media typeapplication/json
object
id

The unique identifier for this group.

integer
poiTagRestrictions

Group users will be restricted to viewing points of interest with these tags.

Array<string>
name

The name of this group.

string
>= 2 characters <= 64 characters
color

The color this group is displayed with.

string
>= 7 characters <= 9 characters
hidden

If true, the group will not be displayed next to users’ names.

boolean
isWorkOrderAssignable

If true, allow work orders to be assigned to this group.

boolean
managedByRole

If set to true, non-admins with the GroupManagement group role will be able to see and manage this group via the admin group management page.

Note that selecting this option and adding a role to this group will result in such non-admins being able to add any other project users to this group, hereby granting them this role.

Ensure you are aware of these permissions implications before configuring this group as such.

boolean
roles

Array of integer-enumerated group roles to be assigned to the group (see Create endpoint description).

Array<integer>
created

The time at which the group was created.

string format: date-time
Example
{
"name": "My group",
"color": "#6200EE",
"hidden": false,
"isWorkOrderAssignable": true,
"managedByRole": false,
"roles": [
1,
4,
16
]
}

Bad Request

Unauthorized

Forbidden